## Remove item from cart (cart decoupled)

### cURL

```
curl --request PATCH \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId}/item/{lineItemId} \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId}/item/{lineItemId}"

headers = {"x-site-context": "<x-site-context>"}

response = requests.patch(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'PATCH', headers: {'x-site-context': '<x-site-context>'}};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId}/item/{lineItemId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### HTTP Status Codes

- `200` - Success
- `400` - Bad Request
- `404` - Not Found
- `500` - Internal Server Error

### Example Response

```
{
  "registeredUser": false,
  "account": "<string>",
  "approver": "<string>",
  "po": "<string>",
  "cartId": 111166,
  "status": "pending",
  "allPromosApplied": "<array>",
  "attributes": "<array>",
  "__v": 0,
  "totalAmount": {
    "currency": "USD",
    "amount": 38
  },
  "quantity": 2,
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z",
  "deleted": false,
  "items": [
    {
      "price": {
        "discount": {
          "discountAmount": 0,
          "price": 0,
          "promosApplied": "<array>"
        },
        "sale": 0,
        "base": 19,
        "currency": "USD"
      },
      "sample": false,
      "isUnique": false,
      "discountedQuantity": 0,
      "group": [
        "123123123123123123123123"
      ],
      "weightUnit": "lb",
      "isPickup": false,
      "itemId": 15,
      "sku": "sk231212",
      "taxCode": "TC1234567890",
      "title": "fabric t-shirt",
      "weight": 4.2,
      "quantity": 2,
      "lineItemId": 1,
      "attributeTotalPrice": 0,
      "totalPrice": {
        "currency": "USD",
        "amount": 38
      },
      "attributes": "<array>",
      "id": "6141a40c13f13a000876272a",
      "_id": "5fee9d59f2f08a1b3cbdea08",
      "createdAt": "2020-12-31T02:09:53.914Z",
      "updatedAt": "2020-12-31T02:09:53.914Z"
    }
  ]
}
```

### Error Responses

**Empty Cart Error**
```
{
  "code": "EMPTY_CART_ERROR",
  "message": "The cart is already empty."
}
```

**Cart Not Found Error**
```
{
  "code": "CART_NOT_FOUND",
  "message": "Cart not found."
}
```

**Generic Error Response**
```
{
  "code": "<string>",
  "message": "<string>"
}
```

### Headers

- **x-site-context**: string, required. The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

### Path Parameters

- **cartId**: string, required, Required string length: `24`.
- **lineItemId**: string, required.
